$(".floats").on("keypress", function (event) {
    if (event.which != 46 && (event.which < 47 || event.which > 59)) {
        event.preventDefault();
        if ((event.which == 46) && ($(this).indexOf('.') != -1)) {
            event.preventDefault();
        }
    }
});

$(".nummbers").keypress(function (e) {
    if (e.which != 8 && e.which != 0 && (e.which < 48 || e.which > 57)) {
        event.preventDefault();
    }
});

$('body').on('click', '.buttons-excel', function () {

    $(".changeenddate").hide();
    $(".changeenddatee").show();
    location.reload();
});

$('body').on('change', '.checkcolumn', function () {
    var table = $(this).attr('data-table');
    var tablecol = $(this).attr('data-tablecol');
    var tablecolval = $.trim($(this).val());
    var tableid = $(this).attr('data-tableid');
    var parentid = $(this).attr('data-parentid');
    var parentcol = $(this).attr('data-parentcol');
    var thisinput = $(this);
    $.post('charityControllerAjax.php?do=checkcolumn', {
        table: table, tablecol: tablecol, tablecolval: tablecolval,
        tableid: tableid, parentid: parentid, parentcol: parentcol
    }, function (result) {
        var placeholder = $(thisinput).attr('placeholder');
        if (result != 0) {
            if (result == 1)
                alert(placeholder + ' مضاف من قبل  ');
            else
                alert(placeholder + ' مضاف من قبل لجمعية ' + result);
            $(thisinput).val("");
        }
    });

});

$('body').on('click', '.charityformajax', function () {
    if ($("#charityformajax").valid() === true) {
        $('.charityformajax').prop("disabled", true);
        $('.charityformajax').css("background", "red");
        $("#charityformajax").submit();
    } else {
        $('.charityformajax').prop("disabled", false);
    }
});

$('form#charityformajax').submit(function (e) {
    e.preventDefault();
    var action = $('#charityformajax').attr('action');
    var dosave = $('#charityformajax').attr('data-dosave');
    var formData = new FormData(this);
    $.ajax({
        url: action + dosave,
        type: 'POST',
        dataType: 'json',
        data: formData,
        success: function (data) {
            if (data > 0) {
                window.location = action + '?do=show';
            } else {

                window.location = action;
            }
        },
        cache: false,
        contentType: false,
        processData: false
    });

});


selectRefresh2();
function selectRefresh2() {
    $('select.selectnew').select2({
        width: '100%'
    });
}

fetch_data();
function fetch_data(start_date = '', end_date = '', del = '', data1 = '', data2 = '', data3 = '', chID = '') {
    var linkcon = $("#getajaxdata").attr('data-controll');
    var table = $('#getajaxdata');
    var dataTable = $('#getajaxdata').DataTable({
        "processing": true,
        "serverSide": true,
        "lengthMenu": [[50,100, 200, 300, 400, 500, -1], [50,100, 200, 300, 400, 500, "All"]],
        "language": {
            "emptyTable": "لا يوجد بيانات متاحه",
            "infoEmpty": "لا يوجد بيانات متاحه",
            "infoFiltered": "(filtered1 from _MAX_ total records)",
            "lengthMenu": "العدد _MENU_",
            "search": "بحث:",
            "zeroRecords": "No matching records found",
            "paginate": {
                "previous": "السابق",
                "next": "التالى",
                "last": "الاخير",
                "first": "الاول"
            }
        },
        dom: 'Bfrtip',
        buttons: [
            {
                extend: 'copyHtml5',
                exportOptions: {
                    columns: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13]
                }
            },
            {
                extend: 'csvHtml5',
                exportOptions: {
                    columns: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13]
                }
            },
            {
                extend: 'print',
                exportOptions: {
                    columns: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13]
                }
            },
            {
                extend: 'excelHtml5',
                exportOptions: {
                    columns: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13]
                }
            },
            {
                extend: 'pdfHtml5',
                exportOptions: {
                    columns: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13]
                }
            },
            'colvis'
        ],
        "dom": "<'row' <'col-md-12'B>><'row'<'col-md-6 col-sm-12'l><'col-md-6 col-sm-12'f>r><'table-scrollable't><'row'<'col-md-5 col-sm-12'i><'col-md-7 col-sm-12'p>>",
        "order": [[0, "desc"]],
        "displayLength": 50,
        "columnDefs": [
            { "className": "dt-center", "targets": "_all" }
        ],
        "ajax": {
            url: linkcon,
            type: "POST",
            data: {
                start_date: start_date,
                end_date: end_date,
                del: del,
                data1: data1,
                data2: data2,
                data3: data3,
                chID: chID,
            }
        }
    });

}

$('body').on('change', '.searchdata', function () {
    var start_date = $('#start_date').val();
    var end_date = $('#end_date').val();
    var del = $("#del").attr("checked") ? 1 : '';
    var data1 = $("input[name=data1]").val();
    var data2 = $("input[name=data2]").val();
    var data3 = $("input[name=data3]").val();
    var chID = $("select[name=chID]").val();
    $('#getajaxdata').DataTable().destroy();
    fetch_data(start_date, end_date, del, data1, data2, data3,chID);

});


getselectjoin();

function getselectjoin() {
    $(".getselectjoin").select2({
        allowClear: true,
        // minimumInputLength: 1,
        multiple: false,
        quietMillis: 100,
        ajax: {
            url: 'charityControllerAjax.php?do=getselectjoin',
            dataType: 'json',
            type: "POST",
            data: function (term) {
                var itr = $(this).attr('data-itr');
                var parentcol = $(this).attr('data-parent');
                var parentid = $('#' + parentcol + itr).val();
                var placeholder = $('#' + parentcol + itr).attr('data-placeholder');
                if (parentcol != '' && parentid == '') {
                    alert(' يجب اختيار  ' + placeholder + ' اولآ');
                    return false;
                }
                return {
                    searchTerms: term,
                    tablesearch: $(this).attr("data-search"),
                    table: $(this).attr('data-table'),
                    join: $(this).attr('data-join'),
                    filter: $(this).attr('data-filter'),
                    parentid: parentid,
                    parentcol: parentcol,
                };
            },
            results: function (data) {
                return { results: data };
            }
        },
        formatResult: function (data) {
            return '<span>' + data.text + '</span >';

        },
        initSelection: function (element, callback) {
            var item = element.val().split(':');
            var data = { id: item[0], text: item[1] };
            callback(data);
        },
        //dropdownCssClass: "bigdrop", // apply css that makes the dropdown taller
    });
}

$('body').on('click', '.removeteble', function () {
    var id = $(this).attr('data-id');
    var table = $(this).attr('data-table');
    if (confirm('هل انت متاكد من الحذف ؟')) {
        var thisis = $(this);
        $.post('charityControllerAjax.php?do=removeteble', { id: id, table: table }, function (data) {
            if (data == 1) {
                thisis.parent().parent().remove();
            } else {
                alert('حدث خطأ أثناء التنفيذ');
            }
        });
    } else {
        alert('لماذا ضغطت إلغاء؟ يجب أن تكون قد أكدت');
    }
});


$('body').on('click', '.addappend', function () {
    var container = $(this).attr('data-container');
    var itr = Number($('#' + container + 'Itr').val());
    itr++;
    $.post('beneficiariesController.php?do=addappend', { itr: itr, container: container }, function (result) {
        $('#' + container + 'Tbl').append(result);
        $('#' + container + 'Itr').val(itr);
        // selectRefresh2();
    });
});

$('body').on('click', '.removecontroller', function () {
    var id = $(this).attr('data-id');
    var controll = $(this).attr('data-controll');
    if (confirm('هل انت متاكد من الحذف ؟')) {
        var thisis = $(this);
        $.post(controll + '.php?do=removecontroller', { id: id }, function (data) {
            if (data == 1) {
                thisis.parent().parent().remove();
            } else {
                alert('حدث خطأ أثناء التنفيذ');
            }
        });
    } else {
        alert('لماذا ضغطت إلغاء؟ يجب أن تكون قد أكدت');
    }
});

$('body').on('click', '.removeAllBen', function () {
    var id = $(this).attr('data-id');
    var controll = $(this).attr('data-controll');
    if (confirm('هل انت متاكد من حذف كل مستفيدين الجمعية وإعاناتهم؟')) {
        var thisis = $(this);
        $.post(controll + '.php?do=removeAllBen', { id: id }, function (data) {
            if (data == 1) {
                alert('تم حذف المستفيدين بنجاح');
                location.reload();
            } else {
                alert('حدث خطأ أثناء التنفيذ');
            }
        });
    } else {
        alert('لماذا ضغطت إلغاء؟ يجب أن تكون قد أكدت');
    }
});


getselectmultiple();
function getselectmultiple() {
    $(".getselectmultiple").select2({
        allowClear: true,
        // minimumInputLength: 2,
        multiple: true,
        quietMillis: 100,
        ajax: {
            url: 'beneficiariesController.php?do=getselectmultiple',
            dataType: 'json',
            type: "POST",
            data: function (term) {
                var tableid = $('#beneficiariesid').val();
                return {
                    searchTerms: term,
                    tablesearch: $(this).attr("data-search"),
                    table: $(this).attr('data-table'),
                    del: $(this).attr('data-del'),
                    id: tableid,
                };
            },
            results: function (data) {
                return { results: data };
            }
        },
        formatResult: function (data) {
            return '<span>' + data.text + '</span >';

        },
        initSelection: function (element, callback) {
            var item = element.val().split(':');
            var data = { id: item[0], text: item[1] };
            callback(data);
        },
        //dropdownCssClass: "bigdrop", // apply css that makes the dropdown taller
    });
}

$(".getselect").select2({
    allowClear: true,
    placeholder: "اختر ",
    // minimumInputLength: 1,
    multiple: false,
    quietMillis: 100,
    ajax: {
        url: 'charityControllerAjax.php?do=getselect',
        dataType: 'json',
        type: "POST",
        data: function (term) {
            var itr = $(this).attr('data-itr');
            var parentcol = $(this).attr('data-parent');
            var parentid = $('#' + parentcol + itr).val();
            var placeholder = $('#' + parentcol + itr).attr('data-placeholder');
            if (parentcol != '' && parentid == '') {
                alert(' يجب اختيار  ' + placeholder + ' اولآ');
                return false;
            }
            return {
                searchTerms: term,
                tablesearch: $(this).attr("data-search"),
                table: $(this).attr('data-table'),
                del: $(this).attr('data-del'),
                filter: $(this).attr('data-filter'),
                parentcol: parentcol,
                parentid: parentid,
            };
        },
        results: function (data) {
            return { results: data };
        }
    },
    formatResult: function (data) {
        return '<span>' + data.text + '</span >';

    },
    initSelection: function (element, callback) {
        var item = element.val().split(':');
        var data = { id: item[0], text: item[1] };
        callback(data);
    },
    //dropdownCssClass: "bigdrop", // apply css that makes the dropdown taller
});

$('body').on('click', '.delRow', function () {
    var itr = $(this).attr('data-itr');
    var table = $(this).attr('data-container');
    var thisis = $(this);
    if (confirm('هل انت متاكد من الحذف ؟')) {
        $(this).parent().parent().remove();
    } else {
        alert('لماذا ضغطت إلغاء؟ يجب أن تكون قد أكدت');
    }
});

$(".getselectparent").select2({
    allowClear: true,
    // minimumInputLength: 1,
    multiple: false,
    quietMillis: 100,
    ajax: {
        url: 'charityControllerAjax.php?do=getselectparent',
        dataType: 'json',
        type: "POST",
        data: function (term) {
            var itr = $(this).attr('data-itr');
            var parentcol = $(this).attr('data-parent');
            var parentid = $('#' + parentcol + itr).val();
            var placeholder = $('#' + parentcol + itr).attr('data-placeholder');
            if (parentcol != '' && parentid == '') {
                alert(' يجب اختيار  ' + placeholder + ' اولآ');
                return false;
            }

            return {
                searchTerms: term,
                tablesearch: $(this).attr("data-search"),
                table: $(this).attr('data-table'),
                filter: $(this).attr('data-filter'),
                parentid: parentid,
                parentcol: parentcol,
            };
        },
        results: function (data) {
            return { results: data };
        }
    },
    formatResult: function (data) {
        return '<span>' + data.text + '</span >';

    },
    initSelection: function (element, callback) {
        var item = element.val().split(':');
        var data = { id: item[0], text: item[1] };
        callback(data);
    },
    //dropdownCssClass: "bigdrop", // apply css that makes the dropdown taller
});

$("#getselect").select2({
    allowClear: true,
    placeholder: "اختر الطالب",
    // minimumInputLength: 1,
    multiple: false,
    quietMillis: 100,
    ajax: {
        url: 'charityControllerAjax.php?do=getselect',
        dataType: 'json',
        type: "POST",
        data: function (term) {
            return {
                searchTerms: term,
                tablesearch: $(this).attr("data-search"),
                table: $(this).attr('data-table'),
            };
        },
        results: function (data) {
            return { results: data };
        }
    },
    formatResult: function (data) {
        return '<span>' + data.text + '</span >';

    },
    initSelection: function (element, callback) {
        var item = element.val().split(':');
        var data = { id: item[0], text: item[1] };
        callback(data);
    },
    //dropdownCssClass: "bigdrop", // apply css that makes the dropdown taller
});
selectedit();
function selectedit() {
    $(".selectedit").each(function () {
        var table = $(this).attr('data-table');
        var tableid = $(this).attr('data-tableid');
        var tableidname = $(this).attr('data-tableidname');
        var search = $(this).attr('data-search');
        var tableval = Number($(this).val());
        var join = $(this).attr('data-join');
        var itr = $(this).attr('data-itr');
        if (tableval) {
            $.post('beneficiariesController.php?do=getselectdata', {
                table: table, search: search, join: join, tableval: tableval,
                tableid: tableid, itr: itr, tableidname: tableidname
            }, function (result) {
                var data = jQuery.parseJSON(result);
                if (tableidname == "guaranteetype")
                    $("#guarantee_type_id" + itr).select2("data", { id: tableval, text: data.texts });
                else
                    $("#" + tableidname + itr).select2("data", { id: tableval, text: data.texts });
            });
        }

    });
}

function selecteditMulti() {
    var id = Number($('#beneficiariesid').val());
    $.post('beneficiariesController.php?do=getMultipledit', { ids: id }, function (result) {
        var data = jQuery.parseJSON(result);
        $("#diseaseId").select2("data", data);
    });

}

function deldata() {

    var deldata = Number($('.deldata').val());
    if (deldata > 1) {
        $('input').attr('readonly', 'readonly');
        $('textarea').attr('readonly', 'readonly');
        $("select").attr("disabled", "disabled");

    }
}

function selectedit2() {
    $(".selectedit").each(function () {
        var ids = Number($(this).attr('data-id'));
        var texts = $(this).attr('data-text');
        var table = $(this).attr('data-table');
        $("#" + table).select2("data", { id: ids, text: texts });
    });

}

$('body').on('click', '.restall', function () {
    $('#getdata').html('');
    $("#restall").val(1);
    var cd = (new Date()).toISOString().split('T')[0];
    $("#start_date").val(cd);
    $("#end_date").val(cd);
    $("#charityid").val('').change();
    $("#charitysubjectid").val('').change();
    $("#charityaddsubjectid").val('').change();
    $("#charityabsenceid").val('').change();
    $("#charitysexamid").val('').change();
    $("#charityspaymentsystemid").val('').change();
    $("#charityspayid").val('').change();
    $("#restall").val(0);
});
function DataTablereload() {

    $('.reportstable').dataTable({});
}

$('body').on('click', '.restall2', function () {
    $('#getdata').html('');
    $("#restall").val(1);
    var cd = (new Date()).toISOString().split('T')[0];
    $("#start_date").val(cd);
    $("#end_date").val(cd);
    $("#charityid").val('').change();
    $("#charitysubjectid").val('').change();
    $("#charityaddsubjectid").val('').change();
    $("#charityabsenceid").val('').change();
    $("#charitysexamid").val('').change();
    $("#charityspaymentsystemid").val('').change();
    $("#charityspayid").val('').change();
    $("#restall").val(0);
});

$('body').on('click', '.saveformajax', function () {
    var forms = $(this).attr('data-form');
    var action = $(this).attr('data-action');
    if ($("#" + forms).valid() === true) {
        $('[data-form="' + forms + '"]').prop('disabled', true);
        $('[data-form="' + forms + '"]').css('background', 'red');
        $(this).attr('data-action', 1);
        if (action == 0)
            saveformajax(forms);
        $("#" + forms).submit();
    } else {
        $('[data-form="' + forms + '"]').prop('disabled', false);
    }
});
function saveformajax(saveformajax = 'saveformajax') {
    $('form#' + saveformajax).submit(function (e) {

        e.preventDefault();
        var action = $('#' + saveformajax).attr('action');
        var dosave = $('#' + saveformajax).attr('data-dosave');
        var direction = $('#' + saveformajax).attr('data-direction');
        var formData = new FormData(this);
        $.ajax({
            url: action + dosave,
            type: 'POST',
            dataType: 'json',
            data: formData,
            success: function (data) {
                if (data != 0) {
                    $('[data-form="' + saveformajax + '"]').prop('disabled', false);
                    $('[data-form="' + saveformajax + '"]').css('background', '#428bca');

                    if (direction) {
                        window.location = direction;
                    } else {
                        $("#Modal" + data.selectname).modal('hide');

                        if (data.selectid == 'diseaseId') {
                            var selectedItems = $("#" + data.selectid).select2("data");
                            let ids = [];
                            selectedItems.forEach(function (item) {
                                ids.push("" + item.id + "");
                            })
                            ids.push("" + data.id + "");
                            selectedItems.push({ id: '' + data.id + '', text: data.text });
                            $("#" + data.selectid).attr("data-id", ids);
                            $("#" + data.selectid).val(selectedItems).trigger('change');
                            $("." + data.selectid).select2("data", selectedItems);
                        }
                        else {
                            $("#" + data.selectid).attr("data-id", data.id);
                            $("#" + data.selectid).val(data.id).trigger('change');
                            $("." + data.selectid).select2("data", { id: data.id, text: data.text });
                        }
                    }


                } else {
                    alert('حذث خطأ اثناء التنفيذ ');
                    window.location = action;
                }
                $("#" + saveformajax)[0].reset();
            },
            cache: false,
            contentType: false,
            processData: false
        });

    });
}

$('body').on('click', '.adddatamodal', function () {
    var form = $(this).attr('data-formt');
    var tableid = $(this).attr('data-tableid');
    var selectitr = $(this).attr('data-selectitr');
    var table = $(this).attr('data-table');
    $("#" + form)[0].reset();
    $("#itr" + table).val(selectitr);
    $('[data-form="' + form + '"]').text('حفظ');
    $("#Modal" + tableid + "Label").text('الاضافه');
    $("input[name=" + tableid + "]").val('');
    $('.hideshow').show();
});

$('body').on('click', '.editdatamodal', function () {
    var table = $(this).attr('data-table');
    var model = $(this).attr('data-model');
    var selectitr = $(this).attr('data-selectitr');
    var name = $(this).attr('data-name');
    var control = $(this).attr('data-control');
    var tableval = $.trim($("#" + name + selectitr).val());
    if (tableval > 0) {
        var tableid = $(this).attr('data-tableid');
        $("#pop" + table).val(tableval);
        var form = $(this).attr('data-formt');
        var join = $(this).attr('data-join');
        $.post(control + '?do=gettabledata', {
            table: table, join: join, tableval: tableval,
            tableid: tableid, model: model, form: form, selectitr: selectitr, name: name
        }, function (result) {
            var data = jQuery.parseJSON(result);
            $(model).modal('show');
            $('[data-form="' + form + '"]').text('تعديل');
            $("#Modal" + name + "Label").text('تعديل');
            $("#itr" + table).val(selectitr);
            $.each(data, function (key, value) {
                $("input[name=" + key + "]").val(value);
            });
            selectedit();
            $('.hideshow').hide();
        });
    }

});


$('body').on('click', '.editdataMulti', function () {
    var table = $(this).attr('data-table');
    var model = $(this).attr('data-model');
    var name = $(this).attr('data-name');
    var tableval = $.trim($("#" + name).val());
    if (tableval) {
        var tableid = $(this).attr('data-tableid');
        $.post('beneficiariesController.php?do=getMultidata', {
            table: table, tableval: tableval, model: model, tableid: tableid, name: name
        }, function (result) {
            $(model).modal('show');
            $("#editDis").html(result);
        });
    }

});

$('body').on('change', '.updateThis', function () {
    let id = $(this).data('id');
    let val = $(this).val();
    if (id && val) {
        $.post('beneficiariesController.php?do=updateVal', { id: id, val: val }, function (res) {
            if (res == 1) {

                var selectedItems = $("#diseaseId").select2("data");
                let ids = [];
                selectedItems.forEach(function (item) {
                    ids.push("" + item.id + "");
                    if (item.id == id)
                        item.text = val;
                })
                $("#diseaseId").attr("data-id", ids);
                $("#diseaseId").val(selectedItems).trigger('change');
                $(".diseaseId").select2("data", selectedItems);

                $('.hideshow').hide();
            }
            else if (res == -1) {
                alert('موجود بالفعل');
            }
        });
    }
});

$('body').on('change', '#charity_id', function () {
    let id = $(this).val();
    $.post('subventionController.php?do=getBeneficiaries', { id: id }, function (res) {
        $('#BeneficiariesDiv').html();
        if (res != -1) {
            $('#BeneficiariesDiv').html(res);
        }
        else {
            alert('لا يوجد مستفيدين تابعين لهذه الجمعية');
        }
    });
});

$('body').on('change', '.getSubvention', function () {
    let id = $('#charityId').val();
    let month = $('#month').val();
    if (id && month) {
        $.post('subventionPayController.php?do=getSubvention', { id: id, month: month }, function (res) {
            $('#subventionDiv').html();
            if (res != -1) {
                $('#subventionDiv').html(res);
            }
            else {
                alert('لا يوجد مستفيدين تابعين لهذه الجمعية');
            }
        });
    }
});

$('body').on('click', '.paySubvention', function () {
    var itr = $(this).attr('data-itr');
    let benefeciary_id = $('#benefeciary_id' + itr).val();
    let financial_aid = $('#financial_aid' + itr).val();
    let inkind_aid = $('#inkind_aid' + itr).val();
    let notes = $('#notes' + itr).val();
    let charity_id = $('#charityId').val();
    let month = $('#month').val();
    if (confirm('هل انت متاكد من صرف الإعانة ؟')) {
        var thisis = $(this);
        $.post('subventionPayController.php?do=savedata',
            {
                benefeciary_id: benefeciary_id,
                financial_aid: financial_aid,
                inkind_aid: inkind_aid,
                notes: notes,
                charity_id: charity_id,
                month: month
            },
            function (data) {
                if (data == 1) {
                    thisis.parent().parent().css('background-color', 'lightgreen');
                    thisis.remove();
                } else {
                    alert('حدث خطأ أثناء التنفيذ');
                }
            });
    } else {
        alert('لماذا ضغطت إلغاء؟ يجب أن تكون قد أكدت');
    }
});

$('body').on('click', '.printPayedSubvention', function () {
    let id = $('#charityId').val();
    let month = $('#month').val();
    if (id && month) {
        $.post('subventionPayController.php?do=printPayedSubvention', { id: id, month: month }, function (res) {
            if (res != -1) {
                $('#printDiv').html(res);
                var prtContent = $('#printDiv');
                var WinPrint = window.open('', 'Print-Window');
                WinPrint.document.open();
                WinPrint.document.write(prtContent[0].innerHTML);
                WinPrint.print();
                $('#printDiv').html('');
                WinPrint.document.close();
                setTimeout(function () { WinPrint.close(); });
            }
        });
    }
});

$('body').on('click', '.printIDs', function (e) {
    e.preventDefault();
    e.stopPropagation();
    //    $('#excuteOperationForm').
    var ids = '';
    $(".choosenItem:checked").each(function () {
        ids += $(this).val() + ',';
    });

    if (ids != "") {
        $.post('subventionPayController.php?do=printIDs', { id: ids }, function (res) {
            if (res != -1) {
                $('#printDiv').html(res);
                var prtContent = $('#printDiv');
                var WinPrint = window.open('', 'Print-Window');
                WinPrint.document.open();
                WinPrint.document.write(prtContent[0].innerHTML);
                WinPrint.print();
                $('#printDiv').html('');
                WinPrint.document.close();
                setTimeout(function () { WinPrint.close(); });
            }
        });
    } else {
        $("#noElementsError").css("display", "block");
        setTimeout(function () {
            $("#noElementsError").css("display", "none");
        }, 4000);
    }
});

$('body').on('click', '.paySelectedSubvention', function (e) {
    e.preventDefault();
    e.stopPropagation();
    var ids = '';
    $(".choosenItem:checked").each(function () {
        ids += $(this).val() + ',';
    });

    if (ids != "") {
        if (confirm('هل انت متاكد من صرف الإعانة ؟')) {
            $('.choosenItem:checked').each(function () {
                var thisis = $(this);
                var itr = $(this).attr('data-itr');
                benefeciary_id = $(this).val();
                financial_aid = $('#financial_aid' + itr).val();
                inkind_aid = $('#inkind_aid' + itr).val();
                notes = $('#notes' + itr).val();
                let charity_id = $('#charityId').val();
                let month = $('#month').val();
                $.post('subventionPayController.php?do=savedata',
                    {
                        benefeciary_id: benefeciary_id,
                        financial_aid: financial_aid,
                        inkind_aid: inkind_aid,
                        notes: notes,
                        charity_id: charity_id,
                        month: month
                    },
                    function (data) {
                        if (data == 1) {
                            thisis.parent().parent().css('background-color', 'lightgreen');
                            $('#paySubvention' + itr).remove();
                        } else {
                            alert('حدث خطأ أثناء التنفيذ أو تم الإضافة من قبل');
                        }
                    });
            });

        } else {
            alert('لماذا ضغطت إلغاء؟ يجب أن تكون قد أكدت');
        }
    } else {
        $("#noElementsError").css("display", "block");
        setTimeout(function () {
            $("#noElementsError").css("display", "none");
        }, 4000);
    }
});

$('body').on('click', '#checkAll', function (event) {
    if (this.checked) {
        // Iterate each checkbox
        $('.choosenItem').each(function () {

            this.checked = true;
        });
    }
    else {
        // Iterate each checkbox 
        $(".choosenItem").each(function () {
            this.checked = false;
        });
    }
});

$('body').on('click', '.showBen', function () {
    var benIds = $(this).attr('data-id');
    $.post('subventionPayController.php?do=getReportBen', { benIds: benIds }, function (res) {
        if (res != -1) {
            $("#benReportDiv").css("display", "block");
            $('#resTbody').html(res);
        }
    });
});
